#if  defined(VM_SCR) 
#include <signal.h>

typedef struct STATE {
  uw16 code;
  void *pc;
  uw32 aReg[8];
 }x_state;

x_state orig_state,res_state;

#if 0
#ifdef GREGS
#include <sys/ucontext.h>
#include <sys/regset.h>
#endif
#endif




extern void buserr_handler(int , siginfo_t );
#if 0 /*defined(USE_VM) && defined(GREGS)*/
extern void segv_handler(int , siginfo_t  , ucontext_t *);
#else
#ifdef SPARC
extern void segv_handler(int , siginfo_t );
#else
extern void segv_handler(int , siginfo_t *);
#endif
#endif

extern void vm_on(void);
extern void vm_off(void);
extern void vm_emureg(void);

#else 
#if  defined(USE_VM) 

typedef struct STATE {
  uw16 code;
  void *pc;
  uw32 aReg[8];
 }x_state;

x_state orig_state,res_state;


extern long pagesize;
extern char *scrModTable;
extern int sct_size;
extern char * oldscr;


extern void buserr_handler(int  );
extern void segv_handler(int );


extern void vm_on(void);
extern void vm_off(void);
#endif
#endif

