/* UQLX */
/* definitions for remote control and message passing */


struct paste_buf
{
  struct paste_buf *next;  /* linked list */
  char *p;                 /* next char */
  int size;                /* # of chars */
  char text[0];
};


/* all data in network byte order: */

typedef struct
{
  int len;  /* len of additional data */
  int type;
  union {
    int spar;
#if 0
    struct DEVINFO dev;
#endif
  } body;
} message;

/* message types */
#define MX_EXIT  1
#define MX_CLONE 2
#define MX_BREAK 3     /* int par */
#define MX_DEVINFO 4
#define MX_PASTE 5
#define MX_HOG 6       /* int par */
#define MX_KEYSW 7     /* int par */
#define MX_REDRAW 8
